$ is_cmd_proc = (f$environment("DEPTH") .gt. 0)
$ if is_cmd_proc then sv_vfy = f$verify(1)
$ if is_cmd_proc then @ssl_location.com
$ if f$trnlnm("ssllib") .eqs. "" then define ssllib soft:[network.http.ssleay.ssleay-0_8_1.crypto]
$ if f$trnlnm("sslinc") .eqs. "" then define sslinc soft:[network.http.ssleay.ssleay-0_8_1.include]
$ is_axp = (f$getsyi("CPU") .ge. "128")
$ show translation ssllib
$ show translation sslinc
$ IF F$GETSYI("CPU") .GE. 128 .OR. F$TRNLNM("DECC$CC_DEFAULT") .EQS. "/DECC"        	THEN prefix_all = "/prefix=all"
$ cc /NOLIST/OBJECT=SSHRSA_RPC.OBJ sshrsa_rpc/include=sslinc 'prefix_all'
$ cc /NOLIST/OBJECT=HELPER.OBJ helper.c
$ cc /NOLIST/OBJECT=SSL_MT.OBJ ssl_mt.c/include=sslinc/define=(flat_inc,vms)
$ set file/extend=0 cport_sshpad.h
$ set file/extend=0 cport_sshmsg.h
$ set file/ext=0 cport_sshsess.h
$ cc /NOLIST/OBJECT=SSHCIPHER.OBJ sshcipher.c
$ set file/extend=0 cport_ucx.h
$ cc /NOLIST/OBJECT=SSH_SERVER.OBJ ssh_server.c
$ cc /NOLIST/OBJECT=MONITOR.OBJ monitor.c
$ cc /NOLIST/OBJECT=CPORT_ADMIN.OBJ cport_admin.c
$ cc /NOLIST/OBJECT=CPORT_NOPROCESS.OBJ cport_noprocess.c
$ cc /NOLIST/OBJECT=CPORT_X11.OBJ cport_x11.c
$ cc /NOLIST/OBJECT=SERVER_SESSION.OBJ server_session.c
$ cc /NOLIST/OBJECT=COMPLETION_PORT.OBJ completion_port.c
$ multinet_opt = ""
$ if f$search("sys$share:ucx$inetdef.h") .eqs. "" then multinet_opt = "/define=MULTINET"
$ cc /NOLIST/OBJECT=CPORT_UCX.OBJ cport_ucx.c 'multinet_opt'
$ cc /NOLIST/OBJECT=CPORT_PIPE.OBJ cport_pipe.c
$ cc /NOLIST/OBJECT=CPORT_SSHPAD.OBJ cport_sshpad.c
$ cc /NOLIST/OBJECT=CPORT_SSHMSG.OBJ cport_sshmsg.c
$ cc /NOLIST/OBJECT=CPORT_SSHSESS.OBJ cport_sshsess.c
$ cc /NOLIST/OBJECT=PARAMETERS.OBJ parameters.c
$ cc /NOLIST/OBJECT=CPORT_SSHLOGIN.OBJ cport_sshlogin.c
$ cc /NOLIST/OBJECT=TUTIL.OBJ tutil.c
$ cc /NOLIST/OBJECT=TMEMORY.OBJ tmemory.c
$ cc /NOLIST/OBJECT=USER_INFO.OBJ user_info.c
$ cc /NOLIST/OBJECT=CPORT_PTY.OBJ cport_pty.c
$ cc /NOLIST/OBJECT=CPORT_CMD.OBJ cport_cmd.c
$ cc /NOLIST/OBJECT=EVENT_REPORT.OBJ event_report.c
$ cc /NOLIST/OBJECT=PORT_FORWARDER.OBJ port_forwarder.c
$ cc /NOLIST/OBJECT=PORT_FWD_DISPATCH.OBJ port_fwd_dispatch.c
$ cc /NOLIST/OBJECT=OS_INFO.OBJ os_info.c
$ cc /NOLIST/OBJECT=INITIATOR_CLIENT.OBJ initiator_client.c
$ cc /NOLIST/OBJECT=PTY_MAP.OBJ pty_map.c
$ if is_axp .or. f$trnlnm("DECC$CC_DEFAULT") .eqs. "/DECC" then 	define/nolog pthread_libs pthread_libs_axp
$ if is_axp .and. f$search("sys$share:pthread$rtl.exe") .nes. "" then 	define/nolog pthread_libs pthread_libs_v7
$ if is_axp .and. f$search("sys$share:pthread$rtl.exe") .nes. "" then 	kt_enable = "/THREADS_ENABLE=(UPCALLS,MULTIPLE)"
$ LINK 'kt_enable' ssh_server.opt/opt,sshrsa_rpc.obj,sshcipher.obj,ssllib_library/lib,sys$disk:[]ssl_mt.obj,pthread_libs/opt
$ cc /NOLIST/OBJECT=INITIATOR.OBJ initiator.c
$ link initiator.obj,tutil.obj
$ cc /NOLIST/OBJECT=RSA_ENGINE.OBJ rsa_engine.c
$ link rsa_engine.obj,sshrsa_rpc.obj,helper.obj,sshcipher.obj,tutil.obj,pthread_libs/opt,ssllib_library/lib,sys$disk:[]ssl_mt.obj
$ CC /NOLIST/OBJECT=KEY_GENERATOR.OBJ KEY_GENERATOR.C
$ link key_generator.obj,sshrsa_rpc.obj,helper.obj,sshcipher.obj,tutil.obj,pthread_libs/opt,ssllib_library/lib,sys$disk:[]ssl_mt.obj
$ cc /NOLIST/OBJECT=SSH_LOGINOUT.OBJ ssh_loginout.c
$ link/notrace ssh_loginout.obj
$ CC /NOLIST/OBJECT=SETHOST_SSH.OBJ SETHOST_SSH.C
$ cc /NOLIST/OBJECT=CPORT_TERMINAL.OBJ cport_terminal.c
$ if is_axp .or. f$trnlnm("DECC$CC_DEFAULT") .eqs. "/DECC" then 	define/nolog pthread_libs pthread_libs_axp
$ LINK sethost_ssh.opt/opt,sshrsa_rpc.obj,helper.obj,sshcipher.obj,ssllib_library/lib,sys$disk:[]ssl_mt.obj,pthread_libs/opt
$ write sys$Output "Images built"
$ if is_cmd_proc then sv_vfy = f$verify(sv_vfy)
